Groovy Documentation

## grails.ui
[Java] Class Console

    java.lang.Object
      grails.ui.Console

    public class Console

Extends regular Groovy console and bootstraps Grails environment before launch to allow interaction with the Grails domain model.

Authors:
  Graeme Rocher

Since:
  0.2

Constructor Summary
`Console(java.lang.ClassLoader parent, groovy.lang.Binding binding)`

Method Summary
`static void` | `main(java.lang.String args)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### Console

    public Console(java.lang.ClassLoader parent, groovy.lang.Binding binding)

Method Detail

### main

    public static void main(java.lang.String args)

Groovy Documentation